FROM debian:stable-slim

ARG ASDFv
ENV ASDFv=${ASDFv:-v0.4.0}
ENV USER=runner

RUN apt-get -q update && apt-get upgrade -qy    && \
    apt-get -qy install --no-install-recommends \
        curl                                    \
        wget                                    \
        unzip                                   \
        build-essential                         \
        ca-certificates                         \
        gnupg                                   \
        dirmngr                                 \
        git                                     && \
    apt-get clean && rm -rf /var/lib/apt/lists/*

RUN adduser --shell /bin/bash --home /$USER --disabled-password $USER
USER $USER
WORKDIR /$USER

RUN git clone --depth 1 https://github.com/asdf-vm/asdf.git ~/.asdf --branch $ASDFv && \
  echo -e '\n. $HOME/.asdf/asdf.sh' >> ~/.bashrc                                    && \
  echo -e '\n. $HOME/.asdf/completions/asdf.bash' >> ~/.bashrc

ENV PATH $PATH:/$USER/.asdf/shims:/$USER/.asdf/bin

RUN asdf plugin-add nodejs                                  && \
  bash .asdf/plugins/nodejs/bin/import-release-team-keyring && \
  asdf plugin-add terraform                                 && \
  asdf plugin-add python                                    && \
  asdf plugin-add kubectl                                   && \
  asdf plugin-add kubecfg

COPY .tool-versions .

RUN asdf install

#cxvAvcasdfasdfasd